﻿@using Xtoman.Domain.WebServices.TradingPlatform.Kraken
@model KrakenOpenOrdersViewModel

@if (Model.OpenOrders != null && Model.OpenOrders.ResultType == KrakenGeneralResultType.success)
{
    <h4>سفارش های باز</h4>
    <div class="list-info">
        @if (Model.OpenOrders.Result.Count > 0)
        {
            @Html.DataTables(
                            @<thead>
                                <tr>
                                    <th>Id</th>
                                    <th>حجم خرید</th>
                                    <th>قیمت تمام شده</th>
                                    <th>هزینه</th>
                                    <th>زمان باز شدن</th>
                                    <th>توضیحات</th>
                                    <th>عملیات</th>
                                </tr>
                            </thead>,
                            @<tbody>
                                @foreach (var modelItem in Model.OpenOrders.Result)
                                {
                                    foreach (var openOrder in modelItem.Value)
                                    {
                                        <tr style="background-color:#@(openOrder.Value.Description.Type == "buy" ? "00b19d" : "ef5350")">
                                            <td>@openOrder.Key</td>
                                            <td>@openOrder.Value.Volume</td>
                                            <td>@openOrder.Value.Cost</td>
                                            <td>@openOrder.Value.Fee</td>
                                            <td>@openOrder.Value.CloseTime</td>
                                            <td>@openOrder.Value.Description.Order</td>
                                            <td><a onclick="cancelOrder('@openOrder.Key'); return false;" id="CancelOrder" class="btn btn-danger">لغو</a></td>
                                        </tr>
                                    }
                                }
                            </tbody>
                            )
        }
        else
        {
            <p>هیچ پوزیشن بازی وجود ندارد.</p>
        }
        <hr />
    </div>
}
else if (Model.OpenOrders.ResultType == KrakenGeneralResultType.error)
{
    <div class="list-info">
        <ul>
            @foreach (var item in Model.OpenOrders.Errors)
            {
                <li class="list-item">@item.ErrorCategory @item.ErrorType @item.Value</li>
            }
        </ul>
    </div>
}
else
{
    <div class="list-info">
        <p>@Model.OpenOrders.Exception.Message</p>
        <p>@Model.OpenOrders.Exception.InnerException.Message</p>
    </div>
}